Subject: [os2genau_digest] No. 1226
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 19 Dec 2005 00:02:42 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 18 December 2005
 Number  1226
**************************************************

Subjects for today
 
1   Installing Warp4 Fixpak 15 : Peter <pgc at sub dot net dot au>
2   Installing Warp4 Fixpak 15 : Peter <pgc at sub dot net dot au>
3  Re:  Installing Warp4 Fixpak 15 : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
4  Re:  Installing Warp4 Fixpak 15 : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
5  Re:  Installing Warp4 Fixpak 15 : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
6  Re:  Installing Warp4 Fixpak 15 : Peter <pgc at sub dot net dot au>
7  Re:  Installing Warp4 Fixpak 15 : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Sun, 18 Dec 2005 19:56:04 +1100
From:  Peter <pgc at sub dot net dot au>
Subject:   Installing Warp4 Fixpak 15

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 18 Dec 2005 20:10:39 +1100
From:  Peter <pgc at sub dot net dot au>
Subject:   Installing Warp4 Fixpak 15

Hi all

Ooops....forgot no attachments allowed.

Anyway, I'm trying to install Warp4 Fixpak 15.  I have FP14 installed 
which was easy.

The instructions in the documentation are confusing.  It seems there are 
several ways of installing it. 

So I tried this one: in the OS/2 window at the command prompt, I typed 
"FPINST Warp4".  A message came up saying "Insert CSD Diskette 1 into 
drive a".  How or where do I get that disk?

If this is of any help, unzipping the FP15 file expands as follows:

FOLDER            FILES
----------------------------------------------------------------------------------
Fixpak15            Docs        Folder
                            Fix        Folder
                            Fixtool        Folder

                            csf_disk         1 kb    4/12/2000
                            csf_disk_1     1 kb    4/12/2000
                            csf_disk_2    1 kb    4/12/2000

Docs                    readme files

Fix                    OS2.1        Folder
                          (containing relevant files)

Fixtool              (containing relevant files)

And what do the csf_disk files do?

As you can see, I'm not familiar with the csf & csd disks, never having 
to work with them.

Thanks
Peter Calman

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 18 Dec 2005 22:01:34 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  Installing Warp4 Fixpak 15

Peter,

When I downloaded FP15.zip it included an install.cmd in the root directory which was

/* Rexx */
StartDirectory = DIRECTORY()
if RIGHT( StartDirectory, 1 )= "\" then
  StartDirectory = LEFT( StartDirectory, LENGTH( StartDirectory ) - 1 )

BasePath=StartDirectory

'set csfutilpath='BasePath'\FixTool'
'set csfcdromdir='BasePath

SAY "Starting OS/2 Service program..."
'cd 'BasePath'\FixTool'
service

Does this help?

The csf_disks are only if you need to load all the files onto floppies, but if you have FP15 then 
you don't.
Peter R

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 18 Dec 2005 22:01:34 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  Installing Warp4 Fixpak 15

Peter,

When I downloaded FP15.zip it included an install.cmd in the root directory which was

/* Rexx */
StartDirectory = DIRECTORY()
if RIGHT( StartDirectory, 1 )= "\" then
  StartDirectory = LEFT( StartDirectory, LENGTH( StartDirectory ) - 1 )

BasePath=StartDirectory

'set csfutilpath='BasePath'\FixTool'
'set csfcdromdir='BasePath

SAY "Starting OS/2 Service program..."
'cd 'BasePath'\FixTool'
service

Does this help?

The csf_disks are only if you need to load all the files onto floppies, but if you have FP15 then 
you don't.
Peter R

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 18 Dec 2005 22:01:34 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  Installing Warp4 Fixpak 15

Peter,

When I downloaded FP15.zip it included an install.cmd in the root directory which was

/* Rexx */
StartDirectory = DIRECTORY()
if RIGHT( StartDirectory, 1 )= "\" then
  StartDirectory = LEFT( StartDirectory, LENGTH( StartDirectory ) - 1 )

BasePath=StartDirectory

'set csfutilpath='BasePath'\FixTool'
'set csfcdromdir='BasePath

SAY "Starting OS/2 Service program..."
'cd 'BasePath'\FixTool'
service

Does this help?

The csf_disks are only if you need to load all the files onto floppies, but if you have FP15 then 
you don't.
Peter R

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 18 Dec 2005 22:20:01 +1100
From:  Peter <pgc at sub dot net dot au>
Subject:  Re:  Installing Warp4 Fixpak 15

Peter,

No install.cmd file there.  The only command files are: fpinst.cmd; 
fpinst_1.cmd; fpinst_2.cmd.

I dont understand what the command lines u wrote have to do with the 
install.cmd file.

Thanks
Peter

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sun, 18 Dec 2005 23:29:55 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Installing Warp4 Fixpak 15

Hi Peter

>No install.cmd file there.  The only command files are: fpinst.cmd; 
>fpinst_1.cmd; fpinst_2.cmd.

There is in http://www.os2site dot com/sw/upgrades/warp4/fixpack15/index.html

>I dont understand what the command lines u wrote have to do with the 
>install.cmd file.

Another way to do it, which is they way I've used in the past after analysing
IBM's RSU installs.

Make a directory on a harddisk of your choice which has ample space called,
say, "d:\FIX15". Download all files EXCEPT the xr_m*.zip to this directory.
Make a directory called d:\FIX15\OS2SERV, download all of the xr_m*.zip
files to this directory.

using "UNZIP", unzip all of the *.zip files in there relevent directories, this
will also create any needed directories and place the files into the required
directories.

PS use either pkzip /extract, or the earlier unzip.exe from IBM's TCPIP\BIN
directory, the latest unzip's don't always unzip to subdirectories, and use the
same decompression, depending on the version you are using.

Go to the "D:\fix15 directory, type "OS2SERV", have fun :-)

====
This method has always worked for me but apparently some people
do have problems with it.
There are also utilities available to do the same thing.

Cheers
Ian Manners
http://www.os2site dot com/

B Gates, the worlds greatest salesman, who else has so many customers coming back for more broken products?
----------------------------------------------------------------------------------